// Code generated by mockery 2.9.4. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	id "maunium.net/go/mautrix/id"

	models "gitlab.com/etke.cc/miounne/v2/models"
)

// BMC is an autogenerated mock type for the BMC type
type BMC struct {
	mock.Mock
}

// GetExtras provides a mock function with given fields:
func (_m *BMC) GetExtras() ([]*models.BMCPurchase, error) {
	ret := _m.Called()

	var r0 []*models.BMCPurchase
	if rf, ok := ret.Get(0).(func() []*models.BMCPurchase); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*models.BMCPurchase)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetMembers provides a mock function with given fields: _a0
func (_m *BMC) GetMembers(_a0 string) ([]*models.BMCMember, error) {
	ret := _m.Called(_a0)

	var r0 []*models.BMCMember
	if rf, ok := ret.Get(0).(func(string) []*models.BMCMember); ok {
		r0 = rf(_a0)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*models.BMCMember)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(_a0)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetNotifyExtras provides a mock function with given fields:
func (_m *BMC) GetNotifyExtras() bool {
	ret := _m.Called()

	var r0 bool
	if rf, ok := ret.Get(0).(func() bool); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(bool)
	}

	return r0
}

// GetNotifyMembers provides a mock function with given fields:
func (_m *BMC) GetNotifyMembers() bool {
	ret := _m.Called()

	var r0 bool
	if rf, ok := ret.Get(0).(func() bool); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(bool)
	}

	return r0
}

// GetNotifySupporters provides a mock function with given fields:
func (_m *BMC) GetNotifySupporters() bool {
	ret := _m.Called()

	var r0 bool
	if rf, ok := ret.Get(0).(func() bool); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(bool)
	}

	return r0
}

// GetRoomID provides a mock function with given fields:
func (_m *BMC) GetRoomID() id.RoomID {
	ret := _m.Called()

	var r0 id.RoomID
	if rf, ok := ret.Get(0).(func() id.RoomID); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(id.RoomID)
	}

	return r0
}

// GetSupporters provides a mock function with given fields:
func (_m *BMC) GetSupporters() ([]*models.BMCSupporter, error) {
	ret := _m.Called()

	var r0 []*models.BMCSupporter
	if rf, ok := ret.Get(0).(func() []*models.BMCSupporter); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*models.BMCSupporter)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
